void csO16n(){

  gROOT->Reset();

#define MAX_nentries 10000;
    
  TString pstit;

  // define style here 
  // general parameters
  gStyle->SetOptDate(0);     gStyle->SetOptTitle(0);
  gStyle->SetStatColor(10);  gStyle->SetStatH(0.1);
  gStyle->SetStatW(0.2);     gStyle->SetOptStat(1); 
  
  gStyle->SetOptFit(0); 
  
  // canvas parameters
  gStyle->SetFrameBorderMode(0);
  gStyle->SetFrameBorderSize(0);
  gStyle->SetFrameFillColor(0);
  gStyle->SetCanvasColor(0);

  // pads parameters
  //  gStyle->SetPadColor(39); 
  gStyle->SetPadColor(0); 
  gStyle->SetPadBorderMode(0);
  gStyle->SetPadBorderSize(0);
  gStyle->SetPadBottomMargin(0.18);
  gStyle->SetPadRightMargin(0.10);
  gStyle->SetPadLeftMargin(0.14);
  gStyle->SetLabelSize(0.04,"x");
  gStyle->SetLabelSize(0.04,"y");
  gStyle->SetTitleXSize(0.08);
  gStyle->SetPaperSize(10,12);
 
  gStyle->SetOptLogx(0);
  gStyle->SetOptLogy(1);

  gStyle->SetTitleYOffset(0.8);
  gStyle->SetTitleYSize(0.10);
  gROOT->ForceStyle();  

  //

  ifstream txtfile1;
 
  Double_t k1[MAX_nentries], cs1[MAX_nentries]; 
  Double_t En[MAX_nentries], Er[MAX_nentries], csCM[MAX_nentries]; 
  Double_t err1[MAX_nentries], err2[MAX_nentries];

  //

 char file1[200];
 sprintf(file1,"csO16n.dat");
// E(MeV)	  sigma(barn)
// 8-O-16(n,elastic) ENDF/B-VII.1
//
 cout << "Data file is " << file1 << endl;
 
 txtfile1.open(file1);

 UInt_t n1=0;
 while(1) {   
   txtfile1 >> k1[n1] >> cs1[n1];
   err1[n1] = 0.0;
   
   if(!txtfile1.good()) break;
   n1++;
 }
   
 //

 for(Int_t i=0; i<n1; i++){

   cs1[i] = cs1[i]; // in barn
   k1[i] = k1[i] *1.0e-06; // ev to MeV
 
 }

 //

 b1 = new TCanvas("b1","O16 Cross Section",40,40,800,500);
 b1->SetGrid();

  
 TGraphErrors *grS1 = new TGraphErrors(n1,k1,cs1,err1,err1);
  
 grS1->GetXaxis()->SetLimits(0.0,5.0);
 grS1->SetMaximum(1000.0);
 grS1->SetMinimum(0.1);

 grS1->SetMarkerColor(kBlue);
 grS1->SetLineColor(kBlue);
 grS1->SetLineWidth(2);
 grS1->SetMarkerSize(1.0);
 grS1->SetMarkerStyle(20);
 
 grS1->GetXaxis()->CenterTitle();
 grS1->GetXaxis()->SetTitleOffset(1.2);
 grS1->GetXaxis()->SetTitleSize(0.06);
 TString tit = "Neutron Energy (MeV)";
 grS1->GetXaxis()->SetTitle(tit.Data());
 
 grS1->GetYaxis()->CenterTitle();
 grS1->GetYaxis()->SetTitleOffset(1.0);
 grS1->GetYaxis()->SetTitleSize(0.06);
 TString tit = "Cross Section (b)";
 grS1->GetYaxis()->SetTitle(tit.Data());
 
 grS1->Draw("A L");
 
 //

 leg = new TLegend(0.675,0.725,0.875,0.825);
 leg->SetFillColor(0);
 leg->SetShadowColor(0);
 leg->AddEntry(grS1,"^{16}O(n,elastic) ","L");
 leg->Draw();
 leg->Draw();

 // //

 b1->cd();
 pstit = "csO16n.gif";
 b1->Print(pstit.Data());
 
}
