#include "Math/Polynomial.h"
#include "Math/Interpolator.h"
 
#include <iostream>
#include <fstream>
#include "TCanvas.h"
#include "TGraph.h"

Double_t csO17gn_interpolation(Double_t k){

  using namespace std;

  const Int_t n1 = 451;
  Double_t k1[n1], cs1[n1]; 
  Double_t En[n1], Er[n1], csCM[n1]; 
  //

  ifstream txtfile1;  
  char file1[200];
  sprintf(file1,"csO17gn.dat");
  txtfile1.open(file1);
  
  // E(MeV)	  sigma(mbarn)
  // Holt R-Matrix cross section file.
  //
  //  cout << "Data file is " << file1 << endl;
  
  for ( Int_t i = 0; i < n1; ++i ){
    txtfile1 >> k1[i] >> En[i] >> Er[i] >> csCM[i] >> cs1[i];
    cs1[i] = cs1[i]; // in mbarn
    //    cout << "energy = " << k1[n1] << " Cross Section = " << cs1[n1] << endl;
  }
  
  ////
  
  // You can choose among the following methods:
  // CSPLINE, LINEAR, POLYNOMIAL,
  // CSPLINE_PERIODIC, AKIMA, AKIMA_PERIODIC
  ROOT::Math::Interpolator inter(n1, ROOT::Math::Interpolation::kLINEAR);
  inter.SetData(n1, k1, cs1);
  
  //  cout << " k =" << 9.30 << " Interpolation Value = " << inter.Eval(9.30) << endl;
  
  return inter.Eval(k);

  ////
  
}
