//
void plotIon(){
  
  gROOT->Reset();
  
  TString pstit;
  pstit = "plotIon";
  
  // define style here 
  // general parameters
  gStyle->SetOptDate(0);     gStyle->SetOptTitle(0);
  gStyle->SetStatColor(10);  gStyle->SetStatH(0.2);
  gStyle->SetStatW(0.3);     gStyle->SetOptStat(0); 
  
  // canvas parameters
  gStyle->SetFrameBorderMode(0);
  gStyle->SetFrameBorderSize(0);
  gStyle->SetFrameFillColor(0);
  gStyle->SetCanvasColor(0);

//
 
  // pads parameters
  //  gStyle->SetPadColor(39); 
  gStyle->SetPadColor(0); 
  gStyle->SetPadBorderMode(0);
  gStyle->SetPadBorderSize(0);
  gStyle->SetPadBottomMargin(0.18);
  gStyle->SetPadRightMargin(0.10);
  gStyle->SetPadLeftMargin(0.14);
  gStyle->SetLabelSize(0.04,"x");
  gStyle->SetLabelSize(0.04,"y");
  gStyle->SetTitleXSize(0.08);
  gStyle->SetPaperSize(10,12);
 
  gStyle->SetOptLogx(0);
  gStyle->SetOptLogy(1);

  gStyle->SetTitleYOffset(0.8);
  gStyle->SetTitleYSize(0.10);
  gROOT->ForceStyle();  

  ////
  
  TH2F* h1  = new TH2F("h1", "h1",100,0.0,1000.0,1000,0.000001,1.0);

  ////
  
  TCanvas *g1 = new TCanvas("g1","Bubble Chamber Ions",40,40,800,500);

  g1->SetGrid();
  g1->Divide(1,1);
  
  g1->cd(1);
  gPad->SetGrid();
  
  h1->GetXaxis()->CenterTitle();
  h1->GetXaxis()->SetTitleOffset(1.2);
  h1->GetXaxis()->SetTitleSize(0.06);
  TString tit = "Energy (keV)";
  h1->GetXaxis()->SetTitle(tit.Data());

  h1->GetYaxis()->CenterTitle();
  h1->GetYaxis()->SetTitleOffset(1.0);
  h1->GetYaxis()->SetTitleSize(0.06);
  TString tit ="Ions/(10 #muA s 10 keV)";
  h1->GetYaxis()->SetTitle(tit.Data());
  
  h1->Draw("");
  
  //
  
  char runfile4[100];
  sprintf(runfile4,"gNeutron.root");
  f4 = new TFile(runfile4);
  TH2F* hist4 = (TH2F*)f4->Get("h2");
  hist4->SetLineColor(kRed);
  hist4->SetLineWidth(2.0);
  hist4->SetLineStyle(2);
  hist4->Draw("hist same");
  
  TH2F* hist5 = (TH2F*)f4->Get("h4");
  hist5->SetLineColor(kGreen);
  hist5->SetLineWidth(2.0);
  hist5->SetLineStyle(2);
  hist5->Draw("hist same");
  
  TH2F* hist6 = (TH2F*)f4->Get("h7");
  hist6->SetLineColor(kBlue);
  hist6->SetLineWidth(2.0);
  hist6->SetLineStyle(2);
  hist6->Draw("hist same");
  
  //
  
  leg = new TLegend(0.65,0.60,0.85,0.85);
  leg->SetFillColor(0);
  leg->SetShadowColor(0);
  leg->AddEntry(hist4,"^{17}O(#gamma,n)^{16}O","L");
  leg->AddEntry(hist5,"^{16}O(n,n)^{16}O","L");
  leg->AddEntry(hist6,"^{14}N(n,n)^{14}N","L");
  leg->Draw();
  leg->SetHeader("T_{e} = 6.5 MeV");
  leg->Draw();
  
  //
  
  g1->cd();
  pstit += ".gif";
  g1->Print(pstit.Data());
  
}
